use inc::Module::Install;

name 'GroLUG';
all_from 'lib/GroLUG.pm';

requires Catalyst => '5.64';
requires Catalyst::Model::DBIC::Plain => 0;
requires Catalyst::Plugin::StackTrace => 0;
requires Catalyst::Plugin::ConfigLoader => 0;
requires Catalyst::Plugin::Static::Simple => 0;
requires Catalyst::Plugin::DefaultEnd => 0;
requires Catalyst::Plugin::HTML::Widget => 0;
requires Catalyst::Plugin::Session => 0;
requires Catalyst::Plugin::Session::Store::DBI => 0;
requires Catalyst::Plugin::Session::State::Cookie => 0;
requires Catalyst::Plugin::Authentication => 0;
requires Catalyst::Plugin::Authentication::Store::Htpasswd => 0;
requires Catalyst::Plugin::Authentication::Credential::Password => 0;
requires Catalyst::Plugin::Authorization::Roles => 0;
requires Catalyst::Log::Log4perl => 0;
requires Log::Log4perl::Appender::DBI => 0;
requires DateTime => 0;
requires DateTime::Format::Pg => 0;
requires DateTime::Format::Strptime => 0;
requires DBIx::Class => 0;
requires Catalyst::Model::DBIC::Plain => 0;
requires Catalyst::View::TT => 0;
requires Module::Find => 0;
requires Email::MIME => 0;
requires Email::MIME::Creator => 0;
requires Email::Send => 0;
requires Encode => 0;
requires Encode::MIME::Header => 0;

catalyst_par_engine('FastCGI');
#catalyst_par_engine('HTTP');
catalyst_par_core(1);
catalyst_par_libs(qw(/usr/lib/libpq.so.3.2));
catalyst_par_classes(qw(
                        DateTime::Format::Strptime
                        Module::Find
                        Email::MIME
                        Email::MIME::Creator
                        Email::Send
                        Email::Send::SMTP
                        Email::Send::Qmail
                        Encode
                        Encode::MIME::Header
                        HTML::Widget
                        HTML::Widget::Constraint
                        HTML::Widget::Filter::Callback
                        HTML::Widget::Filter::LowerCase
                        HTML::Widget::Filter::HTMLEscape
                        HTML::Widget::Filter::TrimEdges
                        HTML::Widget::Filter::Whitespace
                        HTML::Widget::Filter::UpperCase
                        HTML::Widget::Filter::HTMLStrip
                        HTML::Widget::Container
                        HTML::Widget::Constraint::All
                        HTML::Widget::Constraint::Any
                        HTML::Widget::Constraint::Length
                        HTML::Widget::Constraint::In
                        HTML::Widget::Constraint::Callback
                        HTML::Widget::Constraint::Range
                        HTML::Widget::Constraint::Maybe
                        HTML::Widget::Constraint::ASCII
                        HTML::Widget::Constraint::AllOrNone
                        HTML::Widget::Constraint::Date
                        HTML::Widget::Constraint::DateTime
                        HTML::Widget::Constraint::Printable
                        HTML::Widget::Constraint::Regex
                        HTML::Widget::Constraint::HTTP
                        HTML::Widget::Constraint::Integer
                        HTML::Widget::Constraint::Equal
                        HTML::Widget::Constraint::String
                        HTML::Widget::Constraint::Time
                        HTML::Widget::Constraint::Email
                        HTML::Widget::Result
                        HTML::Widget::Element::Radio
                        HTML::Widget::Element::Submit
                        HTML::Widget::Element::Password
                        HTML::Widget::Element::Textarea
                        HTML::Widget::Element::Hidden
                        HTML::Widget::Element::Upload
                        HTML::Widget::Element::Textfield
                        HTML::Widget::Element::Span
                        HTML::Widget::Element::Select
                        HTML::Widget::Element::RadioGroup
                        HTML::Widget::Element::Reset
                        HTML::Widget::Element::Checkbox
                        HTML::Widget::Accessor
                        HTML::Widget::Element
                        HTML::Widget::Filter
                        HTML::Widget::Error
                    ));
catalyst;

install_script glob('script/*.pl');
auto_install;
WriteAll;
