package GroLUG::M::DB::Iscritto;
use base 'DBIx::Class::Core';

__PACKAGE__->load_components(qw(PK::Auto::Pg));
__PACKAGE__->table('iscritti');
__PACKAGE__->add_columns(qw(id nome email attivo note));
__PACKAGE__->set_primary_key('id');
__PACKAGE__->has_many(pagamenti=>'GroLUG::M::DB::Pagamento','iscritto',{order_by => 'data_scadenza desc'});

sub scadenza {
    my ($self)=@_;

    my $last_pag=$self->pagamenti()->next();
    return $last_pag ? $last_pag->data_scadenza() : undef;
}

1;
