package GroLUG::M::DB::Pagamento;
use base 'DBIx::Class::Core';
use DateTime::Format::Pg;

__PACKAGE__->load_components(qw(PK::Auto::Pg));
__PACKAGE__->table('pagamenti');
__PACKAGE__->add_columns(qw(id iscritto data_pagamento data_iscrizione data_scadenza prezzo));
__PACKAGE__->set_primary_key('id');
__PACKAGE__->belongs_to(iscritto=>'GroLUG::M::DB::Iscritto');

for my $col (qw(data_pagamento data_iscrizione data_scadenza)) {
    __PACKAGE__->inflate_column(
        $col,
        {
            inflate => sub { DateTime::Format::Pg->parse_date(shift) },
            deflate => sub { DateTime::Format::Pg->format_date(shift) },
        });
}

1;
