drop table pagamenti;
drop table iscritti;
drop table sessioni;
drop table log;

create table sessioni (
 id char(72) primary key,
 session_data text,
 expires int
);

create table log (
 id serial primary key,
 time timestamp default now(),
 loglevel varchar(255),
 username varchar(255),
 message text
);

create table iscritti (
 id serial primary key,
 nome varchar(255) not null,
 email varchar(255) unique not null,
 attivo boolean default true,
 note text
);

create table pagamenti (
 id serial primary key,
 iscritto integer not null references iscritti(id) on delete restrict,
 data_pagamento date not null,
 data_iscrizione date not null,
 data_scadenza date not null,
 prezzo numeric(2) not null
);
